/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vlist_ajuste")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VlistAjuste.findAll", query = "SELECT v FROM VlistAjuste v")
        , @NamedQuery(name = "VlistAjuste.findByCodigo", query = "SELECT v FROM VlistAjuste v WHERE v.codigo = :codigo")
        , @NamedQuery(name = "VlistAjuste.findByProducto", query = "SELECT v FROM VlistAjuste v WHERE v.producto = :producto")
        , @NamedQuery(name = "VlistAjuste.findByCantidad", query = "SELECT v FROM VlistAjuste v WHERE v.cantidad = :cantidad")
        , @NamedQuery(name = "VlistAjuste.findByFecha", query = "SELECT v FROM VlistAjuste v WHERE v.fecha = :fecha")
        , @NamedQuery(name = "VlistAjuste.findByObservacion", query = "SELECT v FROM VlistAjuste v WHERE v.observacion = :observacion")})
public class VlistAjuste implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "codigo")
    @Id
    private String codigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto")
    private String producto;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 8)
    @Column(name = "cantidad")
    private String cantidad;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 10)
    @Column(name = "fecha")
    private String fecha;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 37)
    @Column(name = "observacion")
    private String observacion;

    public VlistAjuste() {
    }

    public String getCodigo() {
        return codigo;
    }

    public void setCodigo(String codigo) {
        this.codigo = codigo;
    }

    public String getProducto() {
        return producto;
    }

    public void setProducto(String producto) {
        this.producto = producto;
    }

    public String getCantidad() {
        return cantidad;
    }

    public void setCantidad(String cantidad) {
        this.cantidad = cantidad;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getObservacion() {
        return observacion;
    }

    public void setObservacion(String observacion) {
        this.observacion = observacion;
    }

}
